/*
  cp1251.c.  Produce a table of Microsoft Windows Code Page 1251.
  F. da Cruz, Columbia University, 2001.
*/
char *name[] = {
    "CYRILLIC CAPITAL LETTER DJE",
    "CYRILLIC CAPITAL LETTER GJE",
    "LOW 9 SINGLE QUOTE",
    "CYRILLIC SMALL LETTER GJE",
    "LOW 9 DOUBLE QUOTE",
    "ELLIPSIS",
    "DAGGER",
    "DOUBLE DAGGER",
    "EURO SIGN",
    "PER MIL SIGN",
    "CYRILLIC CAPITAL LETTER LJE",
    "LEFT SINGLE QUOTE BRACKET",
    "CYRILLIC CAPITAL LETTER NJE",
    "CYRILLIC CAPITAL LETTER KJE",
    "CYRILLIC CAPITAL LETTER TSHE",
    "CYRILLIC CAPITAL LETTER DZHE",
    "CYRILLIC SMALL LETTER DJE",
    "HIGH 6 SINGLE QUOTE",
    "HIGH 9 SINGLE QUOTE",
    "HIGH 6 DOUBLE QUOTE",
    "HIGH 9 DOUBLE QUOTE",
    "LARGE CENTERED DOT",
    "EN DASH",
    "EM DASH",
    "(UNDEFINED)",
    "TRADEMARK SIGN",
    "CYRILLIC SMALL LETTER LJE",
    "RIGHT SINGLE QUOTE BRACKET",
    "CYRILLIC SMALL LETTER NJE",
    "CYRILLIC SMALL LETTER KJE",
    "CYRILLIC CAPITAL LETTER TSHE",
    "CYRILLIC CAPITAL LETTER DZHE",
    "NO-BREAK SPACE",
    "CYRILLIC CAPITAL LETTER SHORT U",
    "CYRILLIC SMALL LETTER SHORT U",
    "CYRILLIC CAPITAL LETTER JE",
    "CURRENCY SIGN",
    "CYRILLIC CAPITAL LETTER GHE WITH UPTURN",
    "BROKEN BAR",
    "PARAGRAPH SIGN",
    "CYRILLIC CAPITAL LETTER IO",
    "COPYRIGHT SIGN",
    "CYRILLIC CAPITAL LETTER UKRAINIAN IE",
    "LEFT ANGLE QUOTATION MARK",
    "NOT SIGN",
    "SOFT HYPHEN",
    "REGISTERED TRADE MARK SIGN",
    "CYRILLIC CAPITAL LETTER YI",
    "DEGREE SIGN, RING ABOVE",
    "PLUS-MINUS SIGN",
    "CYRILLIC CAPITAL LETTER BYELORUSSION-UKRAINIAN I",
    "CYRILLIC SMALL LETTER BYELORUSSION-UKRAINIAN I",
    "CYRILLIC SMALL LETTER GHE WITH UPTURN",
    "MICRO SIGN",
    "PILCROW SIGN",
    "MIDDLE DOT",
    "CYRILLIC SMALL LETTER IO",
    "NUMERO SIGN",
    "CYRILLIC SMALL LETTER UKRAINIAN IE",
    "RIGHT ANGLE QUOTATION MARK",
    "CYRILLIC SMALL LETTER JE",
    "CYRILLIC CAPITAL LETTER DZE",
    "CYRILLIC SMALL LETTER DZE",
    "CYRILLIC SMALL LETTER YI",
    "CYRILLIC CAPITAL LETTER A",
    "CYRILLIC CAPITAL LETTER BE",
    "CYRILLIC CAPITAL LETTER VE",
    "CYRILLIC CAPITAL LETTER GHE",
    "CYRILLIC CAPITAL LETTER DE",
    "CYRILLIC CAPITAL LETTER IE",
    "CYRILLIC CAPITAL LETTER ZHE",
    "CYRILLIC CAPITAL LETTER ZE",
    "CYRILLIC CAPITAL LETTER I",
    "CYRILLIC CAPITAL LETTER SHORT I",
    "CYRILLIC CAPITAL LETTER KA",
    "CYRILLIC CAPITAL LETTER EL",
    "CYRILLIC CAPITAL LETTER EM",
    "CYRILLIC CAPITAL LETTER EN",
    "CYRILLIC CAPITAL LETTER O",
    "CYRILLIC CAPITAL LETTER PE",
    "CYRILLIC CAPITAL LETTER ER",
    "CYRILLIC CAPITAL LETTER ES",
    "CYRILLIC CAPITAL LETTER TE",
    "CYRILLIC CAPITAL LETTER U",
    "CYRILLIC CAPITAL LETTER EF",
    "CYRILLIC CAPITAL LETTER HA",
    "CYRILLIC CAPITAL LETTER TSE",
    "CYRILLIC CAPITAL LETTER CHE",
    "CYRILLIC CAPITAL LETTER SHA",
    "CYRILLIC CAPITAL LETTER SHCHA",
    "CYRILLIC CAPITAL LETTER HARD SIGN",
    "CYRILLIC CAPITAL LETTER YERU",
    "CYRILLIC CAPITAL LETTER SOFT SIGN",
    "CYRILLIC CAPITAL LETTER E",
    "CYRILLIC CAPITAL LETTER YU",
    "CYRILLIC CAPITAL LETTER YA",
    "CYRILLIC SMALL LETTER A",
    "CYRILLIC SMALL LETTER BE",
    "CYRILLIC SMALL LETTER VE",
    "CYRILLIC SMALL LETTER GHE",
    "CYRILLIC SMALL LETTER DE",
    "CYRILLIC SMALL LETTER IE",
    "CYRILLIC SMALL LETTER ZHE",
    "CYRILLIC SMALL LETTER ZE",
    "CYRILLIC SMALL LETTER I",
    "CYRILLIC SMALL LETTER SHORT I",
    "CYRILLIC SMALL LETTER KA",
    "CYRILLIC SMALL LETTER EL",
    "CYRILLIC SMALL LETTER EM",
    "CYRILLIC SMALL LETTER EN",
    "CYRILLIC SMALL LETTER O",
    "CYRILLIC SMALL LETTER PE",
    "CYRILLIC SMALL LETTER ER",
    "CYRILLIC SMALL LETTER ES",
    "CYRILLIC SMALL LETTER TE",
    "CYRILLIC SMALL LETTER U",
    "CYRILLIC SMALL LETTER EF",
    "CYRILLIC SMALL LETTER HA",
    "CYRILLIC SMALL LETTER TSE",
    "CYRILLIC SMALL LETTER CHE",
    "CYRILLIC SMALL LETTER CHA",
    "CYRILLIC SMALL LETTER SHCHA",
    "CYRILLIC SMALL LETTER HARD SIGN",
    "CYRILLIC SMALL LETTER YERU",
    "CYRILLIC SMALL LETTER SOFT SIGN",
    "CYRILLIC SMALL LETTER E",
    "CYRILLIC SMALL LETTER YU",
    "CYRILLIC SMALL LETTER YA",
};

main() {
    int i, j;
    printf("Microsoft Windows Code Page 1251\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 128; i < 256; i++) {
	j = i - 128;
	printf("[%c]  %3d  %02d/%02d  %3o  %2X  %s\n",
	       i, i, i/16, i%16, i, i, name[j]);
    }
}
